#include "timer.h"

volatile uint32_t debug_timerTick;//ʱͳʹ  
extern   uint32_t systemcoreclock;

void TIMER_Init(void)
{
  /* ʹTMR2ʱ */
  crm_periph_clock_enable(CRM_TMR2_PERIPH_CLOCK, TRUE);
  crm_periph_clock_enable(CRM_TMR3_PERIPH_CLOCK, TRUE);
  crm_periph_clock_enable(CRM_TMR4_PERIPH_CLOCK, TRUE);
  crm_periph_clock_enable(CRM_TMR5_PERIPH_CLOCK, TRUE);
  
  /* ʼTMR2 */
  tmr_base_init(TMR2, systemcoreclock/10000, 10);
  tmr_cnt_dir_set(TMR2, TMR_COUNT_UP);

  
  tmr_interrupt_enable(TMR2, TMR_OVF_INT, TRUE);
  
  nvic_irq_enable(TMR2_GLOBAL_IRQn, 2, 0);
  
  /* ʼTMR3 */
  tmr_base_init(TMR3, 65535, 20000);
  tmr_cnt_dir_set(TMR3, TMR_COUNT_UP);

  
  tmr_interrupt_enable(TMR3, TMR_OVF_INT, TRUE);
  
  nvic_irq_enable(TMR3_GLOBAL_IRQn, 2, 0);
  
  /* ʹTMR2 */
  tmr_counter_enable(TMR2, TRUE);
  tmr_counter_enable(TMR3, TRUE);
}

void TMR2_GLOBAL_IRQHandler(void)
{
  if(tmr_flag_get(TMR2, TMR_OVF_FLAG) != RESET)
  {
    debug_timerTick++;
    tmr_flag_clear(TMR2, TMR_OVF_FLAG);
  }
}












